gapi-ocaml

AuthorAlessandro Strada
LicenseMIT
Homepagehttps://github.com/astrada/gapi-ocaml
Issue Trackerhttps://github.com/astrada/gapi-ocaml/issues
MaintainerAlessandro Strada <alessandro.strada@gmail.com>
Dependencies
&cryptokit
jbuilder
ocamlnet>= 4.1.4
ocurl
ounit
xmlm
yojson
|extlib
extlib-compat
Optional dependencies
ppx_monadic
Availableocaml-version >= "4.02.3"
PublishedJan 8, 2018
Source [http] https://github.com/astrada/gapi-ocaml/archive/v0.3.6.tar.gz
b8759b3a9010769db86786141ed374dd
StatisticsInstalled 264 times last month.
Edithttps://github.com/ocaml/opam-repository/tree/master/packages/gapi-ocaml/gapi-ocaml.0.3.6/opam

A simple OCaml client for Google Services.

gapi-ocaml is a simple, unofficial, OCaml client for Google Services. The library supports ClientLogin, OAuth 1.0a, and OAuth 2.0 authentication. Supported RESTful APIs: Calendar APIs v3, Google+ API v1, Tasks API v1, APIs Discovery Service v1, URL Shortener API v1, OAuth2 API v2, Custom Search API v1, Google Analytics API v3, Page Speed Online API v1, Blogger API v2, Site Verification API v1, AdSense Management API v1.4, BigQuery API v2, Drive API v2, Drive API v3, Gmail API v1. Google Data Protocol APIs (GData): Google Documents List API v3.

Necessary for
google-drive-ocamlfuse
|&>= 0.5.6
0.5.25
>= 0.6.2